Bug 118272 - swap on software RAID fails
Summary: swap on software RAID fails
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-14 22:51 UTC by Kjetil T. Homme
Modified: 2014-03-17 02:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 22:27:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kjetil T. Homme 2004-03-14 22:51:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
rc.sysinit will not start RAID volumes prior to enabling swap.


Version-Release number of selected component (if applicable):
initscripts-7.42.2-1

How reproducible:
Always

Steps to Reproduce:
1. set up md1 as software RAID1.  mkswap /dev/md1
2. add /dev/md1 as swap in /etc/fstab
3. reboot
    

Actual Results:  the swapon command fails

Expected Results:  the last 10 years I think computers have had enough
RAM so that it is OK to postpone the enabling of swap for a while. 
simply moving the swapon after the raidstart should fix the problem.

Additional info:

Comment 1 Bill Nottingham 2005-04-28 22:27:10 UTC
This is fixed in the current devel initscripts for FC4.


Note You need to log in before you can comment on or make changes to this bug.